5

My client has a license for Sitecore Experience Commerce. Initially it didn't work, turns out the license key needed updating. Sitecore sent them this:

enter image description here

My question is; is this one key enough to run Commerce on 8.x and 9.x instances?

According to: https://kb.sitecore.net/articles/911240 - two license keys are connected to Commerce

  • Sitecore.CommerceServer.Runtime
  • Sitecore.CommerceServer.Integrated

So it looks to me like one key is missing from the license. Or?

4

So the KB article hasn't been updated in a while and isn't correct for the 9.x series. The keys you require are as follows:

8.x Series

  • Sitecore.CommerceServer.Runtime
  • Sitecore.CommerceServer.Integrated
  • Sitecore.Commerce.Connect

9.x Series

  • Sitecore.Commerce.Connect

There is currently no license check for the 9.x series engine functionality just for the Connect license key mentioned above.

2
  • Thanks. So the key given to my client is in error then; given it holds only Integrated and not Runtime. It is meant to work on both 8.x and 9.x instances. – Mark Cassidy Jan 22 '19 at 21:53
  • Yeah, if you want to run both 8.x & 9.x series sites you will need all 3 of the keys above. – Rob Earlam Jan 23 '19 at 3:16

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.